logo
TicketsUpdate ticket

Update ticket

curl -X PATCH "/api/v1/tickets/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (API key (ixk_...))" \
  -d '{
  "subject": "example_string",
  "status": "open",
  "status_id": "123e4567-e89b-12d3-a456-426614174000",
  "priority": "low",
  "priority_id": "123e4567-e89b-12d3-a456-426614174000",
  "assignee_id": "123e4567-e89b-12d3-a456-426614174000",
  "inbox_id": "123e4567-e89b-12d3-a456-426614174000",
  "contact_id": "123e4567-e89b-12d3-a456-426614174000",
  "remind_at": "2024-12-25T10:00:00Z",
  "remind_transition_status_id": "123e4567-e89b-12d3-a456-426614174000",
  "custom_fields": {}
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "ticket_number": 42,
    "subject": "example_string",
    "inbox_id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "open",
    "status_id": "123e4567-e89b-12d3-a456-426614174000",
    "status_name": "John Doe",
    "status_color": "example_string",
    "priority": "low",
    "priority_id": "123e4567-e89b-12d3-a456-426614174000",
    "priority_name": "John Doe",
    "priority_color": "example_string",
    "assignee_id": "123e4567-e89b-12d3-a456-426614174000",
    "contact_id": "123e4567-e89b-12d3-a456-426614174000",
    "remind_at": "2024-12-25T10:00:00Z",
    "remind_transition_status_id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z",
    "custom_fields": {}
  }
}
PATCH
/tickets/{id}
PATCH
Bearer Token (API key (ixk_...))
Bearer Tokenstring
Required

API key from Settings → API. Pass as Authorization: Bearer <key>

API key from Settings → API. Pass as Authorization: Bearer <key>
Content-Typestring
Required

The media type of the request body

Options: application/json
statusstring
Options: open, in_progress, waiting, resolved, closed
status_idstring

Custom status ID (takes precedence over status)

Format: uuid
prioritystring
Options: low, normal, high, urgent
priority_idstring

Custom priority ID (takes precedence over priority)

Format: uuid
assignee_idstring
Format: uuid
inbox_idstring
Format: uuid
contact_idstring
Format: uuid
remind_atstring

Applied when PATCH also sets status to waiting (status or status_id)

Format: date-time
remind_transition_status_idstring

Custom status to return to when reminder fires; tenant-scoped

Format: uuid
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (API key (ixk_...)). API key from Settings → API. Pass as Authorization: Bearer <key>

Path Parameters

Body

application/json
statusstring
Allowed values:openin_progresswaitingresolvedclosed
status_idstring

Custom status ID (takes precedence over status)

prioritystring
Allowed values:lownormalhighurgent
priority_idstring

Custom priority ID (takes precedence over priority)

remind_atstring

Applied when PATCH also sets status to waiting (status or status_id)

remind_transition_status_idstring

Custom status to return to when reminder fires; tenant-scoped

Responses

dataobject

Ticket with custom_fields (GET by id, POST create 201, PATCH 200). GET /tickets/{id} may add optional keys when using include= (tags, contact, company, inbox, sla, participants).